|
From: Helder C. <co...@us...> - 2001-11-13 02:14:29
|
Update of /cvsroot/aedii2001/aedii2001
In directory usw-pr-cvs1:/tmp/cvs-serv30109
Modified Files:
Makefile.in aclocal.m4 config.h.in configure missing
mkinstalldirs
Log Message:
Pronto, esta merda ja funciona bem...
Index: Makefile.in
===================================================================
RCS file: /cvsroot/aedii2001/aedii2001/Makefile.in,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -d -r1.2 -r1.3
*** Makefile.in 2001/11/12 23:09:19 1.2
--- Makefile.in 2001/11/13 02:14:26 1.3
***************
*** 58,74 ****
PRE_UNINSTALL = :
POST_UNINSTALL = :
- AMTAR = @AMTAR@
AWK = @AWK@
CC = @CC@
! DEPDIR = @DEPDIR@
! EXEEXT = @EXEEXT@
! INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
MAKEINFO = @MAKEINFO@
- OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
VERSION = @VERSION@
- am__include = @am__include@
- am__quote = @am__quote@
- install_sh = @install_sh@
SUBDIRS = src
--- 58,67 ----
PRE_UNINSTALL = :
POST_UNINSTALL = :
AWK = @AWK@
CC = @CC@
! LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
VERSION = @VERSION@
SUBDIRS = src
***************
*** 77,85 ****
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
! CONFIG_HEADER = [config.h]
CONFIG_CLEAN_FILES =
DIST_COMMON = README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
! Makefile.am Makefile.in NEWS aclocal.m4 configure configure.ac \
! install-sh missing mkinstalldirs
--- 70,78 ----
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
! CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
DIST_COMMON = README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
! Makefile.am Makefile.in NEWS aclocal.m4 config.h.in configure \
! configure.in install-sh missing mkinstalldirs
***************
*** 90,94 ****
all: all-redirect
.SUFFIXES:
! $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile
--- 83,87 ----
all: all-redirect
.SUFFIXES:
! $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile
***************
*** 97,124 ****
&& CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
! $(ACLOCAL_M4): configure.ac
cd $(srcdir) && $(ACLOCAL)
config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
$(SHELL) ./config.status --recheck
! $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
cd $(srcdir) && $(AUTOCONF)
! [config.h]: stamp-h
@if test ! -f $@; then \
rm -f stamp-h; \
$(MAKE) stamp-h; \
else :; fi
! stamp-h: $(srcdir)/[config.h].in $(top_builddir)/config.status
cd $(top_builddir) \
! && CONFIG_FILES= CONFIG_HEADERS=[config.h] \
$(SHELL) ./config.status
@echo timestamp > stamp-h 2> /dev/null
! $(srcdir)/[config.h].in: $(srcdir)/stamp-h.in
@if test ! -f $@; then \
rm -f $(srcdir)/stamp-h.in; \
$(MAKE) $(srcdir)/stamp-h.in; \
else :; fi
! $(srcdir)/stamp-h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOHEADER)
@echo timestamp > $(srcdir)/stamp-h.in 2> /dev/null
--- 90,117 ----
&& CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
! $(ACLOCAL_M4): configure.in
cd $(srcdir) && $(ACLOCAL)
config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
$(SHELL) ./config.status --recheck
! $(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
cd $(srcdir) && $(AUTOCONF)
! config.h: stamp-h
@if test ! -f $@; then \
rm -f stamp-h; \
$(MAKE) stamp-h; \
else :; fi
! stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
cd $(top_builddir) \
! && CONFIG_FILES= CONFIG_HEADERS=config.h \
$(SHELL) ./config.status
@echo timestamp > stamp-h 2> /dev/null
! $(srcdir)/config.h.in: $(srcdir)/stamp-h.in
@if test ! -f $@; then \
rm -f $(srcdir)/stamp-h.in; \
$(MAKE) $(srcdir)/stamp-h.in; \
else :; fi
! $(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOHEADER)
@echo timestamp > $(srcdir)/stamp-h.in 2> /dev/null
***************
*** 129,133 ****
distclean-hdr:
! -rm -f [config.h]
maintainer-clean-hdr:
--- 122,126 ----
distclean-hdr:
! -rm -f config.h
maintainer-clean-hdr:
***************
*** 198,202 ****
&& mkid -f$$here/ID $$unique $(LISP)
! TAGS: tags-recursive $(HEADERS) $(SOURCES) [config.h].in $(TAGS_DEPENDENCIES) $(LISP)
tags=; \
here=`pwd`; \
--- 191,195 ----
&& mkid -f$$here/ID $$unique $(LISP)
! TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) $(LISP)
tags=; \
here=`pwd`; \
***************
*** 210,215 ****
awk ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
! test -z "$(ETAGS_ARGS)[config.h].in$$unique$(LISP)$$tags" \
! || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags [config.h].in $$unique $(LISP) -o $$here/TAGS)
mostlyclean-tags:
--- 203,208 ----
awk ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
! test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
! || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP) -o $$here/TAGS)
mostlyclean-tags:
***************
*** 293,297 ****
installcheck-am:
installcheck: installcheck-recursive
! all-recursive-am: [config.h]
$(MAKE) $(AM_MAKEFLAGS) all-recursive
--- 286,290 ----
installcheck-am:
installcheck: installcheck-recursive
! all-recursive-am: config.h
$(MAKE) $(AM_MAKEFLAGS) all-recursive
***************
*** 307,311 ****
uninstall-am:
uninstall: uninstall-recursive
! all-am: Makefile [config.h]
all-redirect: all-recursive-am
install-strip:
--- 300,304 ----
uninstall-am:
uninstall: uninstall-recursive
! all-am: Makefile config.h
all-redirect: all-recursive-am
install-strip:
Index: aclocal.m4
===================================================================
RCS file: /cvsroot/aedii2001/aedii2001/aclocal.m4,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -d -r1.1 -r1.2
*** aclocal.m4 2001/10/26 12:43:15 1.1
--- aclocal.m4 2001/11/13 02:14:26 1.2
***************
*** 1,104 ****
! # aclocal.m4 generated automatically by aclocal 1.5
! # Copyright 1996, 1997, 1998, 1999, 2000, 2001
! # Free Software Foundation, Inc.
! # This file is free software; the Free Software Foundation
! # gives unlimited permission to copy and/or distribute it,
! # with or without modifications, as long as this notice is preserved.
! # This program is distributed in the hope that it will be useful,
! # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
! # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
! # PARTICULAR PURPOSE.
# Do all the work for Automake. This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.
-
- # serial 5
-
- # There are a few dirty hacks below to avoid letting `AC_PROG_CC' be
- # written in clear, in which case automake, when reading aclocal.m4,
- # will think it sees a *use*, and therefore will trigger all it's
- # C support machinery. Also note that it means that autoscan, seeing
- # CC etc. in the Makefile, will ask for an AC_PROG_CC use...
!
! # We require 2.13 because we rely on SHELL being computed by configure.
! AC_PREREQ([2.13])
!
! # AC_PROVIDE_IFELSE(MACRO-NAME, IF-PROVIDED, IF-NOT-PROVIDED)
! # -----------------------------------------------------------
! # If MACRO-NAME is provided do IF-PROVIDED, else IF-NOT-PROVIDED.
! # The purpose of this macro is to provide the user with a means to
! # check macros which are provided without letting her know how the
! # information is coded.
! # If this macro is not defined by Autoconf, define it here.
! ifdef([AC_PROVIDE_IFELSE],
! [],
! [define([AC_PROVIDE_IFELSE],
! [ifdef([AC_PROVIDE_$1],
! [$2], [$3])])])
- # AM_INIT_AUTOMAKE(PACKAGE,VERSION, [NO-DEFINE])
- # ----------------------------------------------
AC_DEFUN([AM_INIT_AUTOMAKE],
! [AC_REQUIRE([AC_PROG_INSTALL])dnl
! # test to see if srcdir already configured
! if test "`CDPATH=:; cd $srcdir && pwd`" != "`pwd`" &&
! test -f $srcdir/config.status; then
! AC_MSG_ERROR([source directory already configured; run \"make distclean\" there first])
fi
-
- # Define the identity of the package.
- PACKAGE=$1
- AC_SUBST(PACKAGE)dnl
- VERSION=$2
- AC_SUBST(VERSION)dnl
ifelse([$3],,
! [AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
! AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package])])
!
! # Autoconf 2.50 wants to disallow AM_ names. We explicitly allow
! # the ones we care about.
! ifdef([m4_pattern_allow],
! [m4_pattern_allow([^AM_[A-Z]+FLAGS])])dnl
!
! # Autoconf 2.50 always computes EXEEXT. However we need to be
! # compatible with 2.13, for now. So we always define EXEEXT, but we
! # don't compute it.
! AC_SUBST(EXEEXT)
! # Similar for OBJEXT -- only we only use OBJEXT if the user actually
! # requests that it be used. This is a bit dumb.
! : ${OBJEXT=o}
! AC_SUBST(OBJEXT)
!
! # Some tools Automake needs.
! AC_REQUIRE([AM_SANITY_CHECK])dnl
! AC_REQUIRE([AC_ARG_PROGRAM])dnl
! AM_MISSING_PROG(ACLOCAL, aclocal)
! AM_MISSING_PROG(AUTOCONF, autoconf)
! AM_MISSING_PROG(AUTOMAKE, automake)
! AM_MISSING_PROG(AUTOHEADER, autoheader)
! AM_MISSING_PROG(MAKEINFO, makeinfo)
! AM_MISSING_PROG(AMTAR, tar)
! AM_PROG_INSTALL_SH
! AM_PROG_INSTALL_STRIP
! # We need awk for the "check" target. The system "awk" is bad on
! # some platforms.
! AC_REQUIRE([AC_PROG_AWK])dnl
! AC_REQUIRE([AC_PROG_MAKE_SET])dnl
! AC_REQUIRE([AM_DEP_TRACK])dnl
! AC_REQUIRE([AM_SET_DEPDIR])dnl
! AC_PROVIDE_IFELSE([AC_PROG_][CC],
! [_AM_DEPENDENCIES(CC)],
! [define([AC_PROG_][CC],
! defn([AC_PROG_][CC])[_AM_DEPENDENCIES(CC)])])dnl
! AC_PROVIDE_IFELSE([AC_PROG_][CXX],
! [_AM_DEPENDENCIES(CXX)],
! [define([AC_PROG_][CXX],
! defn([AC_PROG_][CXX])[_AM_DEPENDENCIES(CXX)])])dnl
! ])
#
--- 1,46 ----
! dnl aclocal.m4 generated automatically by aclocal 1.4-p5
! dnl Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
! dnl This file is free software; the Free Software Foundation
! dnl gives unlimited permission to copy and/or distribute it,
! dnl with or without modifications, as long as this notice is preserved.
! dnl This program is distributed in the hope that it will be useful,
! dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
! dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
! dnl PARTICULAR PURPOSE.
# Do all the work for Automake. This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.
! # serial 1
+ dnl Usage:
+ dnl AM_INIT_AUTOMAKE(package,version, [no-define])
AC_DEFUN([AM_INIT_AUTOMAKE],
! [AC_REQUIRE([AC_PROG_INSTALL])
! PACKAGE=[$1]
! AC_SUBST(PACKAGE)
! VERSION=[$2]
! AC_SUBST(VERSION)
! dnl test to see if srcdir already configured
! if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
! AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
! AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
! AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
! AC_REQUIRE([AM_SANITY_CHECK])
! AC_REQUIRE([AC_ARG_PROGRAM])
! dnl FIXME This is truly gross.
! missing_dir=`cd $ac_aux_dir && pwd`
! AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
! AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
! AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
! AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
! AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
! AC_REQUIRE([AC_PROG_MAKE_SET])])
#
***************
*** 106,118 ****
#
- # serial 3
-
- # AM_SANITY_CHECK
- # ---------------
AC_DEFUN([AM_SANITY_CHECK],
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
! echo timestamp > conftest.file
# Do `set' in a subshell so we don't clobber the current shell's
# arguments. Must try -L first in case configure is actually a
--- 48,56 ----
#
AC_DEFUN([AM_SANITY_CHECK],
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
! echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments. Must try -L first in case configure is actually a
***************
*** 121,132 ****
# directory).
if (
! set X `ls -Lt $srcdir/configure conftest.file 2> /dev/null`
! if test "$[*]" = "X"; then
# -L didn't work.
! set X `ls -t $srcdir/configure conftest.file`
fi
! rm -f conftest.file
! if test "$[*]" != "X $srcdir/configure conftest.file" \
! && test "$[*]" != "X conftest.file $srcdir/configure"; then
# If neither matched, then we have a broken ls. This can happen
--- 59,69 ----
# directory).
if (
! set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
! if test "[$]*" = "X"; then
# -L didn't work.
! set X `ls -t $srcdir/configure conftestfile`
fi
! if test "[$]*" != "X $srcdir/configure conftestfile" \
! && test "[$]*" != "X conftestfile $srcdir/configure"; then
# If neither matched, then we have a broken ls. This can happen
***************
*** 138,142 ****
fi
! test "$[2]" = conftest.file
)
then
--- 75,79 ----
fi
! test "[$]2" = conftestfile
)
then
***************
*** 147,560 ****
Check your system clock])
fi
AC_MSG_RESULT(yes)])
-
! # serial 2
!
! # AM_MISSING_PROG(NAME, PROGRAM)
! # ------------------------------
AC_DEFUN([AM_MISSING_PROG],
! [AC_REQUIRE([AM_MISSING_HAS_RUN])
! $1=${$1-"${am_missing_run}$2"}
! AC_SUBST($1)])
!
!
! # AM_MISSING_HAS_RUN
! # ------------------
! # Define MISSING if not defined so far and test if it supports --run.
! # If it does, set am_missing_run to use it, otherwise, to nothing.
! AC_DEFUN([AM_MISSING_HAS_RUN],
! [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
! test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
! # Use eval to expand $SHELL
! if eval "$MISSING --run true"; then
! am_missing_run="$MISSING --run "
! else
! am_missing_run=
! am_backtick='`'
! AC_MSG_WARN([${am_backtick}missing' script is too old or missing])
! fi
! ])
!
! # AM_AUX_DIR_EXPAND
!
! # For projects using AC_CONFIG_AUX_DIR([foo]), Autoconf sets
! # $ac_aux_dir to `$srcdir/foo'. In other projects, it is set to
! # `$srcdir', `$srcdir/..', or `$srcdir/../..'.
! #
! # Of course, Automake must honor this variable whenever it calls a
! # tool from the auxiliary directory. The problem is that $srcdir (and
! # therefore $ac_aux_dir as well) can be either absolute or relative,
! # depending on how configure is run. This is pretty annoying, since
! # it makes $ac_aux_dir quite unusable in subdirectories: in the top
! # source directory, any form will work fine, but in subdirectories a
! # relative path needs to be adjusted first.
! #
! # $ac_aux_dir/missing
! # fails when called from a subdirectory if $ac_aux_dir is relative
! # $top_srcdir/$ac_aux_dir/missing
! # fails if $ac_aux_dir is absolute,
! # fails when called from a subdirectory in a VPATH build with
! # a relative $ac_aux_dir
! #
! # The reason of the latter failure is that $top_srcdir and $ac_aux_dir
! # are both prefixed by $srcdir. In an in-source build this is usually
! # harmless because $srcdir is `.', but things will broke when you
! # start a VPATH build or use an absolute $srcdir.
! #
! # So we could use something similar to $top_srcdir/$ac_aux_dir/missing,
! # iff we strip the leading $srcdir from $ac_aux_dir. That would be:
! # am_aux_dir='\$(top_srcdir)/'`expr "$ac_aux_dir" : "$srcdir//*\(.*\)"`
! # and then we would define $MISSING as
! # MISSING="\${SHELL} $am_aux_dir/missing"
! # This will work as long as MISSING is not called from configure, because
! # unfortunately $(top_srcdir) has no meaning in configure.
! # However there are other variables, like CC, which are often used in
! # configure, and could therefore not use this "fixed" $ac_aux_dir.
! #
! # Another solution, used here, is to always expand $ac_aux_dir to an
! # absolute PATH. The drawback is that using absolute paths prevent a
! # configured tree to be moved without reconfiguration.
!
! AC_DEFUN([AM_AUX_DIR_EXPAND], [
! # expand $ac_aux_dir to an absolute path
! am_aux_dir=`CDPATH=:; cd $ac_aux_dir && pwd`
! ])
!
! # AM_PROG_INSTALL_SH
! # ------------------
! # Define $install_sh.
! AC_DEFUN([AM_PROG_INSTALL_SH],
! [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
! install_sh=${install_sh-"$am_aux_dir/install-sh"}
! AC_SUBST(install_sh)])
!
! # One issue with vendor `install' (even GNU) is that you can't
! # specify the program used to strip binaries. This is especially
! # annoying in cross-compiling environments, where the build's strip
! # is unlikely to handle the host's binaries.
! # Fortunately install-sh will honor a STRIPPROG variable, so we
! # always use install-sh in `make install-strip', and initialize
! # STRIPPROG with the value of the STRIP variable (set by the user).
! AC_DEFUN([AM_PROG_INSTALL_STRIP],
! [AC_REQUIRE([AM_PROG_INSTALL_SH])dnl
! INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
! AC_SUBST([INSTALL_STRIP_PROGRAM])])
!
! # serial 4 -*- Autoconf -*-
!
!
!
! # There are a few dirty hacks below to avoid letting `AC_PROG_CC' be
! # written in clear, in which case automake, when reading aclocal.m4,
! # will think it sees a *use*, and therefore will trigger all it's
! # C support machinery. Also note that it means that autoscan, seeing
! # CC etc. in the Makefile, will ask for an AC_PROG_CC use...
!
!
!
! # _AM_DEPENDENCIES(NAME)
! # ---------------------
! # See how the compiler implements dependency checking.
! # NAME is "CC", "CXX" or "OBJC".
! # We try a few techniques and use that to set a single cache variable.
! #
! # We don't AC_REQUIRE the corresponding AC_PROG_CC since the latter was
! # modified to invoke _AM_DEPENDENCIES(CC); we would have a circular
! # dependency, and given that the user is not expected to run this macro,
! # just rely on AC_PROG_CC.
! AC_DEFUN([_AM_DEPENDENCIES],
! [AC_REQUIRE([AM_SET_DEPDIR])dnl
! AC_REQUIRE([AM_OUTPUT_DEPENDENCY_COMMANDS])dnl
! AC_REQUIRE([AM_MAKE_INCLUDE])dnl
! AC_REQUIRE([AM_DEP_TRACK])dnl
!
! ifelse([$1], CC, [depcc="$CC" am_compiler_list=],
! [$1], CXX, [depcc="$CXX" am_compiler_list=],
! [$1], OBJC, [depcc="$OBJC" am_compiler_list='gcc3 gcc']
! [$1], GCJ, [depcc="$GCJ" am_compiler_list='gcc3 gcc'],
! [depcc="$$1" am_compiler_list=])
!
! AC_CACHE_CHECK([dependency style of $depcc],
! [am_cv_$1_dependencies_compiler_type],
! [if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
! # We make a subdir and do the tests there. Otherwise we can end up
! # making bogus files that we don't know about and never remove. For
! # instance it was reported that on HP-UX the gcc test will end up
! # making a dummy file named `D' -- because `-MD' means `put the output
! # in D'.
! mkdir conftest.dir
! # Copy depcomp to subdir because otherwise we won't find it if we're
! # using a relative directory.
! cp "$am_depcomp" conftest.dir
! cd conftest.dir
!
! am_cv_$1_dependencies_compiler_type=none
! if test "$am_compiler_list" = ""; then
! am_compiler_list=`sed -n ['s/^#*\([a-zA-Z0-9]*\))$/\1/p'] < ./depcomp`
! fi
! for depmode in $am_compiler_list; do
! # We need to recreate these files for each test, as the compiler may
! # overwrite some of them when testing with obscure command lines.
! # This happens at least with the AIX C compiler.
! echo '#include "conftest.h"' > conftest.c
! echo 'int i;' > conftest.h
! echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf
!
! case $depmode in
! nosideeffect)
! # after this tag, mechanisms are not by side-effect, so they'll
! # only be used when explicitly requested
! if test "x$enable_dependency_tracking" = xyes; then
! continue
! else
! break
! fi
! ;;
! none) break ;;
! esac
! # We check with `-c' and `-o' for the sake of the "dashmstdout"
! # mode. It turns out that the SunPro C++ compiler does not properly
! # handle `-M -o', and we need to detect this.
! if depmode=$depmode \
! source=conftest.c object=conftest.o \
! depfile=conftest.Po tmpdepfile=conftest.TPo \
! $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 &&
! grep conftest.h conftest.Po > /dev/null 2>&1 &&
! ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
! am_cv_$1_dependencies_compiler_type=$depmode
! break
! fi
! done
!
! cd ..
! rm -rf conftest.dir
! else
! am_cv_$1_dependencies_compiler_type=none
! fi
! ])
! $1DEPMODE="depmode=$am_cv_$1_dependencies_compiler_type"
! AC_SUBST([$1DEPMODE])
! ])
!
!
! # AM_SET_DEPDIR
! # -------------
! # Choose a directory name for dependency files.
! # This macro is AC_REQUIREd in _AM_DEPENDENCIES
! AC_DEFUN([AM_SET_DEPDIR],
! [rm -f .deps 2>/dev/null
! mkdir .deps 2>/dev/null
! if test -d .deps; then
! DEPDIR=.deps
else
! # MS-DOS does not allow filenames that begin with a dot.
! DEPDIR=_deps
! fi
! rmdir .deps 2>/dev/null
! AC_SUBST(DEPDIR)
! ])
!
!
! # AM_DEP_TRACK
! # ------------
! AC_DEFUN([AM_DEP_TRACK],
! [AC_ARG_ENABLE(dependency-tracking,
! [ --disable-dependency-tracking Speeds up one-time builds
! --enable-dependency-tracking Do not reject slow dependency extractors])
! if test "x$enable_dependency_tracking" != xno; then
! am_depcomp="$ac_aux_dir/depcomp"
! AMDEPBACKSLASH='\'
! fi
! AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno])
! pushdef([subst], defn([AC_SUBST]))
! subst(AMDEPBACKSLASH)
! popdef([subst])
! ])
!
! # Generate code to set up dependency tracking.
! # This macro should only be invoked once -- use via AC_REQUIRE.
! # Usage:
! # AM_OUTPUT_DEPENDENCY_COMMANDS
!
! #
! # This code is only required when automatic dependency tracking
! # is enabled. FIXME. This creates each `.P' file that we will
! # need in order to bootstrap the dependency handling code.
! AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS],[
! AC_OUTPUT_COMMANDS([
! test x"$AMDEP_TRUE" != x"" ||
! for mf in $CONFIG_FILES; do
! case "$mf" in
! Makefile) dirpart=.;;
! */Makefile) dirpart=`echo "$mf" | sed -e 's|/[^/]*$||'`;;
! *) continue;;
! esac
! grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
! # Extract the definition of DEP_FILES from the Makefile without
! # running `make'.
! DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
! test -z "$DEPDIR" && continue
! # When using ansi2knr, U may be empty or an underscore; expand it
! U=`sed -n -e '/^U = / s///p' < "$mf"`
! test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
! # We invoke sed twice because it is the simplest approach to
! # changing $(DEPDIR) to its actual value in the expansion.
! for file in `sed -n -e '
! /^DEP_FILES = .*\\\\$/ {
! s/^DEP_FILES = //
! :loop
! s/\\\\$//
! p
! n
! /\\\\$/ b loop
! p
! }
! /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
! sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
! # Make sure the directory exists.
! test -f "$dirpart/$file" && continue
! fdir=`echo "$file" | sed -e 's|/[^/]*$||'`
! $ac_aux_dir/mkinstalldirs "$dirpart/$fdir" > /dev/null 2>&1
! # echo "creating $dirpart/$file"
! echo '# dummy' > "$dirpart/$file"
! done
! done
! ], [AMDEP_TRUE="$AMDEP_TRUE"
! ac_aux_dir="$ac_aux_dir"])])
!
! # AM_MAKE_INCLUDE()
! # -----------------
! # Check to see how make treats includes.
! AC_DEFUN([AM_MAKE_INCLUDE],
! [am_make=${MAKE-make}
! cat > confinc << 'END'
! doit:
! @echo done
! END
! # If we don't find an include directive, just comment out the code.
! AC_MSG_CHECKING([for style of include used by $am_make])
! am__include='#'
! am__quote=
! _am_result=none
! # First try GNU make style include.
! echo "include confinc" > confmf
! # We grep out `Entering directory' and `Leaving directory'
! # messages which can occur if `w' ends up in MAKEFLAGS.
! # In particular we don't look at `^make:' because GNU make might
! # be invoked under some other name (usually "gmake"), in which
! # case it prints its new name instead of `make'.
! if test "`$am_make -s -f confmf 2> /dev/null | fgrep -v 'ing directory'`" = "done"; then
! am__include=include
! am__quote=
! _am_result=GNU
! fi
! # Now try BSD make style include.
! if test "$am__include" = "#"; then
! echo '.include "confinc"' > confmf
! if test "`$am_make -s -f confmf 2> /dev/null`" = "done"; then
! am__include=.include
! am__quote='"'
! _am_result=BSD
! fi
fi
! AC_SUBST(am__include)
! AC_SUBST(am__quote)
! AC_MSG_RESULT($_am_result)
! rm -f confinc confmf
! ])
!
! # serial 3
!
! # AM_CONDITIONAL(NAME, SHELL-CONDITION)
! # -------------------------------------
! # Define a conditional.
! #
! # FIXME: Once using 2.50, use this:
! # m4_match([$1], [^TRUE\|FALSE$], [AC_FATAL([$0: invalid condition: $1])])dnl
! AC_DEFUN([AM_CONDITIONAL],
! [ifelse([$1], [TRUE],
! [errprint(__file__:__line__: [$0: invalid condition: $1
! ])dnl
! m4exit(1)])dnl
! ifelse([$1], [FALSE],
! [errprint(__file__:__line__: [$0: invalid condition: $1
! ])dnl
! m4exit(1)])dnl
! AC_SUBST([$1_TRUE])
! AC_SUBST([$1_FALSE])
! if $2; then
! $1_TRUE=
! $1_FALSE='#'
! else
! $1_TRUE='#'
! $1_FALSE=
! fi])
# Like AC_CONFIG_HEADER, but automatically create stamp file.
- # serial 3
-
- # When config.status generates a header, we must update the stamp-h file.
- # This file resides in the same directory as the config header
- # that is generated. We must strip everything past the first ":",
- # and everything past the last "/".
-
- AC_PREREQ([2.12])
-
AC_DEFUN([AM_CONFIG_HEADER],
! [ifdef([AC_FOREACH],dnl
! [dnl init our file count if it isn't already
! m4_ifndef([_AM_Config_Header_Index], m4_define([_AM_Config_Header_Index], [0]))
! dnl prepare to store our destination file list for use in config.status
! AC_FOREACH([_AM_File], [$1],
! [m4_pushdef([_AM_Dest], m4_patsubst(_AM_File, [:.*]))
! m4_define([_AM_Config_Header_Index], m4_incr(_AM_Config_Header_Index))
! dnl and add it to the list of files AC keeps track of, along
! dnl with our hook
! AC_CONFIG_HEADERS(_AM_File,
! dnl COMMANDS, [, INIT-CMDS]
! [# update the timestamp
! echo timestamp >"AS_ESCAPE(_AM_DIRNAME(]_AM_Dest[))/stamp-h]_AM_Config_Header_Index["
! ][$2]m4_ifval([$3], [, [$3]]))dnl AC_CONFIG_HEADERS
! m4_popdef([_AM_Dest])])],dnl
! [AC_CONFIG_HEADER([$1])
! AC_OUTPUT_COMMANDS(
! ifelse(patsubst([$1], [[^ ]], []),
! [],
! [test -z "$CONFIG_HEADERS" || echo timestamp >dnl
! patsubst([$1], [^\([^:]*/\)?.*], [\1])stamp-h]),dnl
! [am_indx=1
! for am_file in $1; do
! case " \$CONFIG_HEADERS " in
! *" \$am_file "*)
! am_dir=\`echo \$am_file |sed 's%:.*%%;s%[^/]*\$%%'\`
! if test -n "\$am_dir"; then
! am_tmpdir=\`echo \$am_dir |sed 's%^\(/*\).*\$%\1%'\`
! for am_subdir in \`echo \$am_dir |sed 's%/% %'\`; do
! am_tmpdir=\$am_tmpdir\$am_subdir/
! if test ! -d \$am_tmpdir; then
! mkdir \$am_tmpdir
! fi
! done
! fi
! echo timestamp > "\$am_dir"stamp-h\$am_indx
;;
esac
! am_indx=\`expr \$am_indx + 1\`
! done])
! ])]) # AM_CONFIG_HEADER
!
! # _AM_DIRNAME(PATH)
! # -----------------
! # Like AS_DIRNAME, only do it during macro expansion
! AC_DEFUN([_AM_DIRNAME],
! [m4_if(m4_regexp([$1], [^.*[^/]//*[^/][^/]*/*$]), -1,
! m4_if(m4_regexp([$1], [^//\([^/]\|$\)]), -1,
! m4_if(m4_regexp([$1], [^/.*]), -1,
! [.],
! m4_patsubst([$1], [^\(/\).*], [\1])),
! m4_patsubst([$1], [^\(//\)\([^/].*\|$\)], [\1])),
! m4_patsubst([$1], [^\(.*[^/]\)//*[^/][^/]*/*$], [\1]))[]dnl
! ]) # _AM_DIRNAME
--- 84,127 ----
Check your system clock])
fi
+ rm -f conftest*
AC_MSG_RESULT(yes)])
! dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
! dnl The program must properly implement --version.
AC_DEFUN([AM_MISSING_PROG],
! [AC_MSG_CHECKING(for working $2)
! # Run test in a subshell; some versions of sh will print an error if
! # an executable is not found, even if stderr is redirected.
! # Redirect stdin to placate older versions of autoconf. Sigh.
! if ($2 --version) < /dev/null > /dev/null 2>&1; then
! $1=$2
! AC_MSG_RESULT(found)
else
! $1="$3/missing $2"
! AC_MSG_RESULT(missing)
fi
! AC_SUBST($1)])
# Like AC_CONFIG_HEADER, but automatically create stamp file.
AC_DEFUN([AM_CONFIG_HEADER],
! [AC_PREREQ([2.12])
! AC_CONFIG_HEADER([$1])
! dnl When config.status generates a header, we must update the stamp-h file.
! dnl This file resides in the same directory as the config header
! dnl that is generated. We must strip everything past the first ":",
! dnl and everything past the last "/".
! AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
! ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
! <<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
! <<am_indx=1
! for am_file in <<$1>>; do
! case " <<$>>CONFIG_HEADERS " in
! *" <<$>>am_file "*<<)>>
! echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
;;
esac
! am_indx=`expr "<<$>>am_indx" + 1`
! done<<>>dnl>>)
! changequote([,]))])
Index: config.h.in
===================================================================
RCS file: /cvsroot/aedii2001/aedii2001/config.h.in,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -d -r1.1 -r1.2
*** config.h.in 2001/10/26 12:43:15 1.1
--- config.h.in 2001/11/13 02:14:26 1.2
***************
*** 1,8 ****
! /* config.h.in. Generated automatically from configure.ac by autoheader. */
! /* Define if you have the <string.h> header file. */
! #undef HAVE_STRING_H
! /* Define if you have the `strstr' function. */
#undef HAVE_STRSTR
--- 1,8 ----
! /* config.h.in. Generated automatically from configure.in by autoheader. */
! /* Define if you have the ANSI C header files. */
! #undef STDC_HEADERS
! /* Define if you have the strstr function. */
#undef HAVE_STRSTR
***************
*** 10,16 ****
#undef PACKAGE
- /* Define if you have the ANSI C header files. */
- #undef STDC_HEADERS
-
/* Version number of package */
#undef VERSION
--- 10,14 ----
#undef PACKAGE
/* Version number of package */
#undef VERSION
+
Index: configure
===================================================================
RCS file: /cvsroot/aedii2001/aedii2001/configure,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -d -r1.1 -r1.2
*** configure 2001/10/26 12:43:15 1.1
--- configure 2001/11/13 02:14:26 1.2
***************
*** 1,116 ****
#! /bin/sh
# Guess values for system-dependent variables and create Makefiles.
! # Generated by Autoconf 2.52 for aedii2001 1.0.
#
- # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
- # Free Software Foundation, Inc.
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
-
- # Avoid depending upon Character Ranges.
[...5012 lines suppressed...]
fi
! rm -f $ac_file
! mv conftest.h $ac_file
fi
! fi; done
!
EOF
! cat >> $CONFIG_STATUS <<EOF
EOF
! cat >> $CONFIG_STATUS <<\EOF
! test -z "$CONFIG_HEADERS" || echo timestamp > stamp-h
! exit 0
EOF
chmod +x $CONFIG_STATUS
! rm -fr confdefs* $ac_clean_files
! test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
Index: missing
===================================================================
RCS file: /cvsroot/aedii2001/aedii2001/missing,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -d -r1.1 -r1.2
*** missing 2001/10/26 12:43:15 1.1
--- missing 2001/11/13 02:14:26 1.2
***************
*** 1,6 ****
#! /bin/sh
# Common stub for a few missing GNU programs while installing.
! # Copyright 1996, 1997, 1999, 2000 Free Software Foundation, Inc.
! # Originally by Fran,cois Pinard <pi...@ir...>, 1996.
# This program is free software; you can redistribute it and/or modify
--- 1,6 ----
#! /bin/sh
# Common stub for a few missing GNU programs while installing.
! # Copyright (C) 1996, 1997, 2001 Free Software Foundation, Inc.
! # Franc,ois Pinard <pi...@ir...>, 1996.
# This program is free software; you can redistribute it and/or modify
***************
*** 19,27 ****
# 02111-1307, USA.
- # As a special exception to the GNU General Public License, if you
- # distribute this file as part of a program that contains a
- # configuration script generated by Autoconf, you may include it under
- # the same distribution terms that you use for the rest of that program.
-
if test $# -eq 0; then
echo 1>&2 "Try \`$0 --help' for more information"
--- 19,22 ----
***************
*** 29,37 ****
fi
- run=:
-
# In the cases where this matters, `missing' is being run in the
# srcdir already.
! if test -f configure.ac; then
configure_ac=configure.ac
else
--- 24,30 ----
fi
# In the cases where this matters, `missing' is being run in the
# srcdir already.
! if test -f configure.in; then
configure_ac=configure.ac
else
***************
*** 40,55 ****
case "$1" in
- --run)
- # Try to run requested program, and just exit if it succeeds.
- run=
- shift
- "$@" && exit 0
- ;;
- esac
- # If it does not exist, or fails to run (possibly an outdated version),
- # try to emulate it.
- case "$1" in
-
-h|--h|--he|--hel|--help)
echo "\
--- 33,37 ----
***************
*** 62,66 ****
-h, --help display this help and exit
-v, --version output version information and exit
- --run try to run the given command, and emulate it if it fails
Supported PROGRAM values:
--- 44,47 ----
***************
*** 71,83 ****
bison create \`y.tab.[ch]', if possible, from existing .[ch]
flex create \`lex.yy.c', if possible, from existing .c
- help2man touch the output file
lex create \`lex.yy.c', if possible, from existing .c
makeinfo touch the output file
- tar try tar, gnutar, gtar, then tar without non-portable flags
yacc create \`y.tab.[ch]', if possible, from existing .[ch]"
;;
-v|--v|--ve|--ver|--vers|--versi|--versio|--version)
! echo "missing 0.3 - GNU automake"
;;
--- 52,62 ----
bison create \`y.tab.[ch]', if possible, from existing .[ch]
flex create \`lex.yy.c', if possible, from existing .c
lex create \`lex.yy.c', if possible, from existing .c
makeinfo touch the output file
yacc create \`y.tab.[ch]', if possible, from existing .[ch]"
;;
-v|--v|--ve|--ver|--vers|--versi|--versio|--version)
! echo "missing - GNU libit 0.0"
;;
***************
*** 91,95 ****
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
! you modified \`acinclude.m4' or \`${configure_ac}'. You might want
to install the \`Automake' and \`Perl' packages. Grab them from
any GNU archive site."
--- 70,74 ----
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
! you modified \`acinclude.m4' or \`$configure_ac'. You might want
to install the \`Automake' and \`Perl' packages. Grab them from
any GNU archive site."
***************
*** 100,104 ****
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
! you modified \`${configure_ac}'. You might want to install the
\`Autoconf' and \`GNU m4' packages. Grab them from any GNU
archive site."
--- 79,83 ----
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
! you modified \`$configure_ac'. You might want to install the
\`Autoconf' and \`GNU m4' packages. Grab them from any GNU
archive site."
***************
*** 109,116 ****
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
! you modified \`acconfig.h' or \`${configure_ac}'. You might want
to install the \`Autoconf' and \`GNU m4' packages. Grab them
from any GNU archive site."
! files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}`
test -z "$files" && files="config.h"
touch_files=
--- 88,95 ----
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
! you modified \`acconfig.h' or \`$configure_ac'. You might want
to install the \`Autoconf' and \`GNU m4' packages. Grab them
from any GNU archive site."
! files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' $configure_ac`
test -z "$files" && files="config.h"
touch_files=
***************
*** 128,132 ****
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
! you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
You might want to install the \`Automake' and \`Perl' packages.
Grab them from any GNU archive site."
--- 107,111 ----
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
! you modified \`Makefile.am', \`acinclude.m4' or \`$configure_ac'.
You might want to install the \`Automake' and \`Perl' packages.
Grab them from any GNU archive site."
***************
*** 189,218 ****
;;
- help2man)
- echo 1>&2 "\
- WARNING: \`$1' is missing on your system. You should only need it if
- you modified a dependency of a manual page. You may need the
- \`Help2man' package in order for those modifications to take
- effect. You can get \`Help2man' from any GNU archive site."
-
- file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
- if test -z "$file"; then
- file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
- fi
- if [ -f "$file" ]; then
- touch $file
- else
- test -z "$file" || exec >$file
- echo ".ab help2man is required to generate this page"
- exit 1
- fi
- ;;
-
makeinfo)
- if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
- # We have makeinfo, but it failed.
- exit 1
- fi
-
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
--- 168,172 ----
***************
*** 228,270 ****
fi
touch $file
- ;;
-
- tar)
- shift
- if test -n "$run"; then
- echo 1>&2 "ERROR: \`tar' requires --run"
- exit 1
- fi
-
- # We have already tried tar in the generic part.
- # Look for gnutar/gtar before invocation to avoid ugly error
- # messages.
- if (gnutar --version > /dev/null 2>&1); then
- gnutar ${1+"$@"} && exit 0
- fi
- if (gtar --version > /dev/null 2>&1); then
- gtar ${1+"$@"} && exit 0
- fi
- firstarg="$1"
- if shift; then
- case "$firstarg" in
- *o*)
- firstarg=`echo "$firstarg" | sed s/o//`
- tar "$firstarg" ${1+"$@"} && exit 0
- ;;
- esac
- case "$firstarg" in
- *h*)
- firstarg=`echo "$firstarg" | sed s/h//`
- tar "$firstarg" ${1+"$@"} && exit 0
- ;;
- esac
- fi
-
- echo 1>&2 "\
- WARNING: I can't seem to be able to run \`tar' with the given arguments.
- You may want to install GNU tar or Free paxutils, or check the
- command line arguments."
- exit 1
;;
--- 182,185 ----
Index: mkinstalldirs
===================================================================
RCS file: /cvsroot/aedii2001/aedii2001/mkinstalldirs,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -d -r1.1 -r1.2
|